Subject: Re: bug#27765: 26.0.50; Calc b% and relch are inconsistent in algebraic and rpn modes

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 03 Sep 2021 16:56:45 +0200

Mattias Engdegård <[email-masked]> writes:

> Maybe Calc assumes that someone who uses b% is a HP-12C type of person
> and wants a percentage, while those using algebraic mode get plain
> values.

Yeah, quite likely, so I'm closing thing bug report.

(Note that I'm not against changing this is somebody has a convincing
argument why it should be changed -- but I think if we change the
behaviour of something like this, the change should be obviously and
clearly for the better, and this is more of an "uhm...  I guess either
works?" kind of situation, in which case "don't change" wins.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no